Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wbox
Version:        5
Release:        alt2_27
Summary:        HTTP testing tool and configuration-less HTTP server

License:        BSD
URL:            http://www.hping.org/wbox/
Source0:        http://www.hping.org/%{name}/%{name}-%{version}.tar.gz
# Man page from http://patch-tracker.debian.org/patch/debianonly/view/wbox/5-1
Source1:        wbox.1

BuildRequires:  gcc
Source44: import.info

%description
Wbox aims to help you having fun while testing HTTP related stuff.
You can use it to perform many tasks, including the following.
 * Benchmarking how much time it takes to generate content
   for your web application.
 * Web server and web application stressing.
 * Testing virtual domains configuration without the need to alter
   your local resolver.
 * Check if your redirects are working correctly emitting
   the right HTTP code.
 * Test if the HTTP compression is working and if it is actually
   serving pages faster.
 * Use it as a configuration-less HTTP server to share files!

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" 

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS Changelog README
%doc --no-dereference COPYING
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 5-alt2_27
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 5-alt2_26
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 5-alt2_25
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 5-alt2_24
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 5-alt2_23
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 5-alt2_22
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 5-alt2_21
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 5-alt2_20
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 5-alt1_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 5-alt1_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 5-alt1_18
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 5-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_16
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 5-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 5-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 5-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 5-alt1_10
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 5-alt1_9
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 5-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 5-alt1_7
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 5-alt1_6
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 5-alt1_5
- initial fc import

